import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.*;
public class Erde extends Actor
{   
    private String datumString;
    private Weltall meinWeltall;

    public Erde(Weltall pWeltall)
    {
        meinWeltall = pWeltall;
    }
    
    public void act() 
    {
        if (Greenfoot.mouseClicked(this))
        {
            datumString = JOptionPane.showInputDialog("Bitte geben Sie das Datum ein tt.mm.jjjj");
            //((Weltall)getWorld()).mondphaseErmitteln(datumString);
            meinWeltall.mondphaseErmitteln(datumString);
        }
    }    
}
